Show / Hide Table of Contents

# Class CertificateValidationEventArgs

An argument passed on to the user for validating the server certificate during SSL authentication.

##### Inheritance

Object
EventArgs
CertificateValidationEventArgs

##### Inherited Members

EventArgs.Empty
Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: Titanium.Web.Proxy.EventArguments

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public class CertificateValidationEventArgs : EventArgs

### Properties

| Improve this Doc View Source

#### Certificate

Server certificate.

##### Declaration

    public X509Certificate Certificate { get; }

##### Property Value

Type | Description
--- | ---
X509Certificate |

| Improve this Doc View Source

#### Chain

Certificate chain.

##### Declaration

    public X509Chain Chain { get; }

##### Property Value

Type | Description
--- | ---
X509Chain |

| Improve this Doc View Source

#### IsValid

Is the given server certificate valid?

##### Declaration

    public bool IsValid { get; set; }

##### Property Value

Type | Description
--- | ---
Boolean |

| Improve this Doc View Source

#### SslPolicyErrors

SSL policy errors.

##### Declaration

    public SslPolicyErrors SslPolicyErrors { get; }

##### Property Value

Type | Description
--- | ---
SslPolicyErrors |